commit: da38365112232f79c1a79aa00c6bef9fb5936549
Author: Samuel Bauer <samuel.bauer <AT> yahoo <DOT> fr>
AuthorDate: Wed Oct 12 12:02:35 2022 +0000
Commit: Samuel Bauer <samuel.bauer <AT> yahoo <DOT> fr>
CommitDate: Wed Oct 12 12:02:35 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=da383651
games-emulation/yuzu-9999: app-arch/lz4 detection
Signed-off-by: Samuel Bauer <samuel.bauer <AT> yahoo.fr>
games-emulation/yuzu/yuzu-9999.ebuild | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/games-emulation/yuzu/yuzu-9999.ebuild
b/games-emulation/yuzu/yuzu-9999.ebuild
index 7fdca80d6..330329b0d 100644
--- a/games-emulation/yuzu/yuzu-9999.ebuild
+++ b/games-emulation/yuzu/yuzu-9999.ebuild
@@ -107,7 +107,6 @@ src_prepare() {
# Unbundle mbedtls: undefined reference to `mbedtls_cipher_cmac'
sed -i -e '/mbedtls/d' externals/CMakeLists.txt || die
- sed -i -e 's/mbedtls/& mbedcrypto mbedx509/'
sed -i -e 's/mbedtls/& mbedcrypto mbedx509/' \
src/dedicated_room/CMakeLists.txt \
src/core/CMakeLists.txt || die
@@ -140,6 +139,9 @@ src_prepare() {
sed -i -e '/enet/d' externals/CMakeLists.txt || die
sed -i -e '/enet\/enet\.h/{s/"/</;s/"/>/}' src/network/network.cpp ||
die
+ # LZ4 temporary fix:
https://github.com/yuzu-emu/yuzu/pull/9054/commits/a8021f5a18bc5251aef54468fa6033366c6b92d9
+ sed -i 's/lz4::lz4/lz4/' src/common/CMakeLists.txt || die
+
cmake_src_prepare
}